From e01538ecc8406155b1ced15016905ed137ceb957 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sun, 15 Dec 2019 17:00:29 -0600
Subject: [PATCH v6 6/6] Print debug line before starting each vacuum step

---
 src/backend/access/heap/vacuumlazy.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/backend/access/heap/vacuumlazy.c b/src/backend/access/heap/vacuumlazy.c
index 56dedf0..c020d08 100644
--- a/src/backend/access/heap/vacuumlazy.c
+++ b/src/backend/access/heap/vacuumlazy.c
@@ -1532,6 +1532,10 @@ lazy_vacuum_heap(Relation onerel, LVRelStats *vacrelstats)
 	error_context_stack = &errcallback;
 
 	pg_rusage_init(&ru0);
+
+	ereport(elevel, (errmsg("\"%s\": vacuuming heap",
+					RelationGetRelationName(onerel))));
+
 	npages = 0;
 
 	tupindex = 0;
@@ -1750,6 +1754,9 @@ lazy_vacuum_index(Relation indrel,
 
 	pg_rusage_init(&ru0);
 
+	ereport(elevel, (errmsg("\"%s\": vacuuming index",
+					RelationGetRelationName(indrel))));
+
 	ivinfo.index = indrel;
 	ivinfo.analyze_only = false;
 	ivinfo.report_progress = false;
@@ -1797,6 +1804,9 @@ lazy_cleanup_index(Relation indrel,
 	ivinfo.num_heap_tuples = vacrelstats->new_rel_tuples;
 	ivinfo.strategy = vac_strategy;
 
+	ereport(elevel, (errmsg("cleaning up index \"%s\"",
+					RelationGetRelationName(indrel))));
+
 	stats = index_vacuum_cleanup(&ivinfo, stats);
 
 	if (!stats)
-- 
2.7.4

